import { TooltipProps } from '@highlight-ui/tooltip';
export declare type LabelProps = {
    /**
     * The class name to be applied to the element
     */
    className?: string;
    /**
     * The text to be displayed
     */
    label: string;
    /**
     * Same as HTML `for` attribute
     */
    htmlFor?: string;
    /**
     * The content of the tooltip pop-out
     */
    tooltipContent?: TooltipProps['content'];
    /**
     * Specifies how to to keep the tooltip opened after the mouse has left the tooltip icon
     */
    tooltipMouseOutDelay?: TooltipProps['mouseOutDelay'];
    /**
     * Allows to specify the class name for the tooltip element
     */
    tooltipClassName?: string;
    /**
     * The hint text can be used to specify if a field is required/optional
     */
    hintText?: string;
};
declare const Label: ({ className, label, tooltipContent, tooltipMouseOutDelay, tooltipClassName, htmlFor, hintText, }: LabelProps) => JSX.Element;
export default Label;
